datablock WheeledVehicleTire(RacingGokartTire)
{
shapeFile = "./RGK Tire.dts";
staticFriction = 4;
kineticFriction = 7;

// Spring that generates lateral tire forces
lateralForce = 18000;
lateralDamping = 4000;
lateralRelaxation = 1;

// Spring that generates longitudinal tire forces
longitudinalForce = 18000;
longitudinalDamping = 4000;
longitudinalRelaxation = 1;
};

datablock ParticleData(RacingGokartDustParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -1;
	inheritedVelFactor   = 0.6;
	constantAcceleration = 0.0;
	lifetimeMS           = 200;
	lifetimeVarianceMS   = 20;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.6 0.6 0.6 0.2";
	colors[1]     = "0.6 0.6 0.6 0.0";
	sizes[0]      = 0.5;
	sizes[1]      = 0.6;

	useInvAlpha = true;
};

datablock ParticleEmitterData(RacingGokartDustEmitter)
{
   ejectionPeriodMS = 8;
   periodVarianceMS = 4;
   ejectionVelocity = 3;
   velocityVariance = 2;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 50;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "RacingGokartDustParticle";

   uiName = "Racing Gokart Dust";
};

datablock WheeledVehicleSpring(RacingGokartSpring)
{
// Wheel suspension properties
length = 0.2;                // Suspension travel
force = 3000;              // Spring force
damping = 800;             // Spring damping
antiSwayForce = 6;        // Lateral anti-sway force
};

datablock WheeledVehicleTire(RacingGokartTire)
{
shapeFile = "./RGK Tire.dts";
staticFriction = 4;
kineticFriction = 7;

// Spring that generates lateral tire forces
lateralForce = 18000;
lateralDamping = 4000;
lateralRelaxation = 1;

// Spring that generates longitudinal tire forces
longitudinalForce = 18000;
longitudinalDamping = 4000;
longitudinalRelaxation = 1;
};

datablock WheeledVehicleSpring(RacingGokartSpring)
{
// Wheel suspension properties
length = 0.2;                // Suspension travel
force = 3000;              // Spring force
damping = 800;             // Spring damping
antiSwayForce = 6;        // Lateral anti-sway force
};

datablock WheeledVehicleData(RacingGokartVehicle)
{
category = "Vehicles";
displayName = "";
shapeFile = "./RGK.dts";
emap = true;
minMountDist = 3;
   
numMountPoints = 1;
mountThread[0] = "sit";

maxDamage = 50.00;
destroyedLevel = 50.00;
speedDamageScale = 1.04;
collDamageThresholdVel = 20.0;
collDamageMultiplier   = 0.02;

massCenter = "0 0 0";
//massBox = "2 5 1";

maxSteeringAngle = 0.80;
integration = 4;
tireEmitter = RacingGokartDustEmitter;

cameraRoll = true;         // Roll the camera with the vehicle
cameraMaxDist = 9;         // Far distance from vehicle
cameraOffset = 1;        // Vertical offset from camera mount point
cameraLag = 001;           // Velocity lag of camera
cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
cameraTilt = 0.4;
collisionTol = 0.1;        // Collision distance tolerance
contactTol = 0.1;

useEyePoint = false;	

defaultTire	= RacingGokartTire;
defaultSpring	= RacingGokartSpring;
flatTire	= JeepTire;
flatSpring	= JeepFlatSpring;

numWheels = 4;

mass = 300;
density = 5.0;
drag = 1.6;
bodyFriction = 0.3;
bodyRestitution = 0.6;
minImpactSpeed = 10;        // Impacts over this invoke the script callback
softImpactSpeed = 10;       // Play SoftImpact Sound
hardImpactSpeed = 15;      // Play HardImpact Sound
groundImpactMinSpeed    = 10.0;


engineTorque = 12000; //4000;       // Engine power
engineBrake = 4000;         // Braking when throttle is 0
brakeTorque = 8000;        // When brakes are applied
maxWheelSpeed = 35;        // Engine scale by current speed / max speed

rollForce		= 10;
yawForce		= 5000;
pitchForce		= 10;
rotationalDrag		= 0.4;

   // Advanced Steering
   steeringAutoReturn = true;
   steeringAutoReturnRate = 1.0;
   steeringAutoReturnMaxSpeed = 10;
   steeringUseStrafeSteering = true;
   steeringStrafeSteeringRate = 0.1;

	// Energy
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	//mediumSplashSound = "";
	//hardSplashSound = "";
	//exitSplashSound = "";
	
	// Sounds
	//   jetSound = ScoutThrustSound;
	//engineSound = idleSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	//wheelImpactSound = slowImpactSound;

justcollided = 0;

uiName = "Racing Gokart ";
rideable = true;
lookUpLimit = 0.65;
lookDownLimit = 0.45;

paintable = true;

minRunOverSpeed    = 4;   //how fast you need to be going to run someone over (do damage)
runOverDamageScale = 8;   //when you run over someone, speed * runoverdamagescale = damage amt
runOverPushScale   = 1.2; //how hard a person you're running over gets pushed

protectPassengersBurn   = false;
protectPassengersRadius = false;
protectPassengersDirect = false;
};